vs code 使用scss/sass

安装Sass和Compass

sass基于Ruby语言开发而成,因此安装sass前需要安装Ruby。(注:mac下自带Ruby无需在安装Ruby!)

window下安装SASS首先需要安装Ruby,先从官网下载Ruby并安装。安装过程中请注意勾选Add Ruby executables to your PATH添加到系统环境变量。

安装完成后需测试安装有没有成功,运行CMD输入以下命令:

注意:(安装后,弹出一个运行窗口,提示 “msys2 seems to be properly installed”,我选择2更新,但是360报毒,删除报毒文件更新中断。不知道有没有问题。)

如上已经安装成功。但因为国内网络的问题导致gem源间歇性中断因此我们需要更换gem源。(使用淘宝的gem源https://ruby.taobao.org/)如下:

Ruby自带一个叫做RubyGems的系统,用来安装基于Ruby的软件。我们可以使用这个系统来 轻松地安装SassCompass。要安装最新版本的SassCompass,你需要输入下面的命令:

在每一个安装过程中,你都会看到如下输出:

安装完成之后,你应该通过运行下面的命令来确认应用已经正确地安装到了电脑中:

装好Sass后,启动 vs code,在拓展商店里搜索“easy sass”,并安装,安装成功后点重新加载。

接下来进行配置: 在 vs code 菜单栏依次点击“文件 首选项 设置”,打开 settings.json 全局配置文件。搜索“easysass”,然后把 easysass 相关的设置项复制到右侧的用户设置编辑窗口中,再根据实际情况修改配置项。

注意:(此处我未参照说明配置settings.json文件,easysass运行没有问题,配置后报错)

一般开发环境中用到其中两个设置项(上图红框处中的代码):

发布于 2018-11-28

总计 0 评论

发表评论

作为 登录 | 登出 »

联系电话

18321263196

交换链接

互相学习

服务咨询

我的微信